[project]
name = "python-scratchpad"
version = "0.1.0"
description = ""
# authors = ["Hubert Bryłkowski <hubert@brylkowski.com>"]
readme = "readme.md"
requires-python = ">=3.11"
dependencies = [
  "brother-ql @ git+https://github.com/hbrylkowski/brother_ql@4225d13d209e8e4a2c17e87a75f42809e0da8fda",
  "qrcode[pil]",
  # https://github.com/astral-sh/uv/issues/6384
  "setuptools<81",
  "jinja2>=3.1.2,<4",
  "pillow>=9.5.0,<10",
  "pysnmp>=4.4.12,<5",
  "pyasn1==0.4.8,<0.5",
  "python-telegram-bot>=20.3,<21",
  "fastapi[standard]>=0.114.0",
  "requests==2.32.5",
  "Jinja2==3.1.6",
  "pandas==2.3.3",
  "python-dotenv==1.2.1",
]

[tool.poetry.group.dev.dependencies]
pytest = "^7.4.0"
black = "^23.3.0"

[tool.hatch]
metadata.allow-direct-references = true

[tool.hatch.build.targets.wheel]
packages = ["labeler"]

[build-system]
requires = ["hatchling"]
build-backend = "hatchling.build"
